Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.actions 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.actions
Class ActionManager

    java.lang.Object
      org.openide.actions.ActionManager

    public abstract class ActionManager

extends Object

Collects access methods to implementation depended functionality for actions package.

Field Summary
`static String` | `PROP_CONTEXT_ACTIONS` name of property that is fired when set of context actions changes.

Constructor Summary
`ActionManager()`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Registers PropertyChangeListener to receive events.
`protected void` | `firePropertyChange(String name, Object o, Object n)` Notifies all registered listeners about the event.
`abstract SystemAction[]` | `getContextActions()` Get all registered actions that should be displayed by tools action.
`static ActionManager` | `getDefault()` Get the default action manager from lookup.
`void` | `invokeAction(Action a, ActionEvent e)` Deprecated. Just use `ActionListener.actionPerformed(java.awt.event.ActionEvent)` directly instead. Since 4.11.
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes PropertyChangeListener from the list of listeners.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_CONTEXT_ACTIONS

    public static final String PROP_CONTEXT_ACTIONS

  name of property that is fired when set of context actions changes.

  See Also:
    Constant Field Values

Constructor Detail

### ActionManager

    public ActionManager()

Method Detail

### getDefault

    public static ActionManager getDefault()

  Get the default action manager from lookup.

  Returns:
    some default instance
  Since:
    4.2

### getContextActions

    public abstract SystemAction[] getContextActions()

  Get all registered actions that should be displayed by tools action. Can contain `null`s that will be replaced by separators.

  Returns:
    array of actions

### invokeAction

    public void invokeAction(Action a,
                             ActionEvent e)

  Deprecated. Just use `ActionListener.actionPerformed(java.awt.event.ActionEvent)` directly instead. Since 4.11.

  Invokes action in a RequestPrecessor dedicated to performing actions. Nonabstract since 4.11.

### addPropertyChangeListener

    public final void addPropertyChangeListener(PropertyChangeListener listener)

  Registers PropertyChangeListener to receive events.

  Parameters:
    `listener` - The listener to register.

### removePropertyChangeListener

    public final void removePropertyChangeListener(PropertyChangeListener listener)

  Removes PropertyChangeListener from the list of listeners.

  Parameters:
    `listener` - The listener to remove.

### firePropertyChange

    protected final void firePropertyChange(String name,
                                            Object o,
                                            Object n)

  Notifies all registered listeners about the event.

  Parameters:
    `name` - property name
    `o` - old value
    `n` - new value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.actions 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.